Subject: [Sip] Re: outbound-08 : using different Contact URIs for different flows?

From: Rohan Mahy <[email-masked]>
Date: Thu, 21 Jun 2007 10:44:50 -0700

Hi Jeroen,

I don't think there is any problem here.  If the UAC wants to put  
different Contact URIs with different reg-ids for the same instance- 
id, that is the business of the UAC.  For a specific instance the  
authoritative proxy will pick one of the reg-ids and forward there.   
If the proxy gets a 430 response it will try the next one.  The proxy  
will need to set the Request URI to the Contact URI of the desired  
reg-id for each attempt.

thanks,
-rohan

On Apr 28, 2007, at 8:17 AM, Jeroen van Bemmel wrote:
> All,
>
> While trying to implement GRUU and outbound in combination, I  
> stumbled upon a minor issue: what if the UAC uses different Contact  
> URIs when registering multiple flows. The examples in outbound  
> don't do this, but there is no explicit statement that this is not  
> allowed, and the example in 3.2 ([email-masked]>;reg-id=1) could  
> be seen as suggesting that the registration with reg-id=2 would use  
> "line2"
>
> See my previous mail: for GRUU this could mean that the authorative  
> proxy cannot select the right URI to rewrite with, there can be an  
> inconsistency between the temporary GRUU the UAC selected  
> (associated with a specific contact) and the request URI received.
>
> One solution may be to adapt the algorithm used to generate  
> temporary GRUUs. A second option, which is perhaps simpler, is to  
> simply state in outbound that the UAC MUST use identical Contact  
> URIs when registering multiple flows (in section 4.2), and that the  
> authoritative proxy MAY select any one of the registered Contact  
> URIs to rewrite with (e.g. needed to cover transitional cases where  
> the UAC obtains a new IP address and starts re-registering)
>
> Regards,
> Jeroen
>
>
>

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip